##  for PCLinuxOS  ##

%define ver 1.5.22
%define rel 4

%define ibus_ver   1.5.16
%define libkkc_ver 0.3.5

%define git 1
%define git_date 20170607
%if %{git}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel %{rel}.nora17
%endif


Name:    ibus-kkc
Summary: Japanese Kana Kanji input engine for IBus
Version: %{ver}
Release: %{realrel}
License: GPLv2+
Group:   System/Internationalization
URL:     https://github.com/ueno/ibus-kkc

%if %{git}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: https://github.com/ueno/ibus-kkc/releases/download/v%{version}/%{name}-%{version}.tar.xz
%endif

# patch0 from Fedora
Patch0:  ibus-kkc-content-type.patch
# work around to error of autogen.sh
Patch10: ibus-kkc-autogen_sh.patch
# show status indicator (support icon_prop_key)
# original patch from 
#  https://github.com/ikunya/ibus-skk/commit/1a428b490553b2c36bdc746a9d96c67db9081dcc
Patch15: ibus-kkc-icon-prop-key.patch

BuildRequires: intltool
BuildRequires: libkkc-devel >= %{libkkc_ver}
BuildRequires: ibus-devel >= %{ibus_ver}
BuildRequires: gtk+3-devel >= 3.12
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: vala

Requires: ibus >= %{ibus_ver}
Requires: libkkc >= %{libkkc_ver}
Requires: libgtk+3 >= 3.12
#Requires: gnome-icon-theme-symbolic

%description
A Japanese Kana Kanji input engine for IBus


%prep
%if %{git}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q
rm src/*vala.stamp
%endif

# for ibus 1.5.4 or later
%patch0 -p1 -b .content-type

# fix for build error
%patch10 -p1

# show status indicator
%patch15 -p0

# don't touch XKB layout
sed -i 's!<layout>jp</layout>!<layout>default</layout>!' src/kkc.xml.in.in


%build
./autogen.sh --prefix=%{_prefix} --libexecdir=%{_libdir}
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="Settings;X-MandrivaLinux-System-Configuration;" \
  --remove-key=NoDisplay \
  $RPM_BUILD_ROOT%{_datadir}/applications/ibus-setup-kkc.desktop

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/kkc.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="inputmethod">
  <id>kkc.xml</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Kana Kanji</name>
  <summary>Japanese input method</summary>
  <description>
    <p>
      The Kana Kanji input method is designed for entering Japanese text.
      It uses the Kana Kanji conversion library as backend, whose algorithm is based
      on 3-gram statistical language model generated from Wikipedia data.
    </p>
    <p>
      Input methods are typing systems allowing users to input complex languages.
      They are necessary because these contain too many characters to simply be laid
      out on a traditional keyboard.
    </p>
  </description>
  <url type="homepage">https://bitbucket.org/libkkc/libkkc/</url>
  <compulsory_for_desktop>GNOME</compulsory_for_desktop>
  <project_group>GNOME</project_group>
  <developer_name>The GNOME Project</developer_name>
  <url type="bugtracker">https://code.google.com/p/ibus/issues/list</url>
  <url type="donation">http://www.gnome.org/friends/</url>
  <url type="help">https://code.google.com/p/ibus/wiki/FAQ</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF


%post
[ -x %{_bindir}/ibus ] && %{_bindir}/ibus write-cache --system &>/dev/null || :

%postun
[ -x %{_bindir}/ibus ] && %{_bindir}/ibus write-cache --system &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/ibus-engine-kkc
%{_libdir}/ibus-setup-kkc
%{_datadir}/ibus-kkc/icons/ibus-kkc.svg
%{_datadir}/ibus/component/kkc.xml
%{_datadir}/applications/ibus-setup-kkc.desktop
%{_datadir}/appdata/kkc.appdata.xml


%changelog
* Fri Jun 09 2017 tomcat <> 1.5.22-4.git20170607
- update to git.20170607
- add Patch15 for show status indicator
- build with ibus-1.5.16

* Tue Mar 28 2017 tomcat <> 1.5.22-3.git20160811
- update to git.20160811
- fix URL
- build with ibus-1.5.15

* Fri Jul 17 2015 tomcat <> 1.5.22-2
- build with ibus-1.5.11
- add %%{_datadir}/appdata/kkc.appdata.xml

* Mon Dec 29 2014 tomcat <> 1.5.22-1
- update to 1.5.22
- build with ibus-1.5.9 and libkkc-0.3.5

* Mon Jul 07 2014 tomcat <> 1.5.21-1
- update to 1.5.21
- build with ibus-1.5.7 and libkkc-0.3.4

* Wed Apr 02 2014 tomcat <> 1.5.20-0.156
- 1.5.20
- build with ibus-1.5.6 and libkkc-0.3.3
